#include <stdio.h>


main(){
	long long unsigned x,y,a,b;
	scanf("%llu%llu", &x,&y);
	scanf("%llu%llu", &a,&b);
	if(x==a && b!=y) printf("drugi");
	else if(b==y && x!=a) printf("prvi");
	else if(a==x && b==y) printf("nijedan");
	else if(a!=x && b!=y) printf("?");
}